getAddresses.v1
POST
/shopgate.user.getAddresses.v1
This pipeline is used to retrieve the addresses of the user.
Request Body
Section titled “Request Body”Media typeapplication/json
object
Examplegenerated
{}Responses
Section titled “Responses”Successful operation
Media typeapplication/json
object
addresses
Array<object>
object
id
required
string
firstName
string
lastName
string
street1
string
street2
string
zipCode
string
city
string
province
Province code
string
country
Country code
string
tags
Array<string>
customAttributes
object
Example
{ "addresses": [ { "id": "23", "firstName": "Jane", "lastName": "Doe", "street1": "123 Main St", "street2": "Suite 300", "zipcode": "12345", "city": "Anytown", "province": "WA", "country": "US", "tags": [ "billing", "default_billing" ], "customAttributes": { "alias": "Janes home address", "prefix": "Ms." } }, { "id": "42", "firstName": "Jane", "lastName": "Doe", "street1": "2222 Rio Grande", "street2": "ACME", "zipcode": "78705", "city": "Austin", "procinve": "TX", "country": "US", "tags": [ "shipping", "default_shipping" ], "customAttributes": { "alias": "Work address", "prefix": "Ms.", "telephone": "1-800-490-1234" } } ]}Unauthorized user
Media typeapplication/json
Unknown error
Media typeapplication/json

